
var assert = require('assert');

var cookie = require('..');

suite('parse');

test('basic', function() {
    assert.deepEqual({ aaa: 'bbb' }, cookie.parse('aaa=bbb'));
    assert.deepEqual({ aaa: '123' }, cookie.parse('aaa=123'));
});

test('ignore spaces', function() {
    assert.deepEqual({ aaa: 'bbb', baz: 'raz' },
            cookie.parse('aaa    = bbb;   baz  =   raz'));
});

test('escaping', function() {
    assert.deepEqual({ aaa: 'bbb=123456789&name=Magic+Mouse' },
            cookie.parse('aaa="bbb=123456789&name=Magic+Mouse"'));

    assert.deepEqual({ email: ' ",;/' },
            cookie.parse('email=%20%22%2c%3b%2f'));
});

